Bug 738525 - Review Request: perl-ExtUtils-H2PM - Automatically generate perl modules to wrap C header files
Summary: Review Request: perl-ExtUtils-H2PM - Automatically generate perl modules to w...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 738589
TreeView+ depends on / blocked
 
Reported: 2011-09-15 05:14 UTC by Mathieu Bridon
Modified: 2011-09-21 05:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-21 05:01:19 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mathieu Bridon 2011-09-15 05:14:56 UTC
Spec URL: http://bochecha.fedorapeople.org/packages/perl-ExtUtils-H2PM.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/perl-ExtUtils-H2PM-0.07-1.fc16.src.rpm
Description:
This module assists in generating wrappers around system functionallity,
such as socket() types or ioctl() calls, where the only interesting
features required are the values of some constants or layouts of structures
normally only known to the C header files. Rather than writing an entire XS
module just to contain some constants and pack/unpack functions, this
module allows the author to generate, at module build time, a pure perl
module containing constant declarations and structure utility functions.
The module then requires no XS module to be loaded at run time.


$ rpmlint perl-ExtUtils-H2PM*
perl-ExtUtils-H2PM.noarch: W: spelling-error %description -l en_US functionallity -> functionality, functionalist, functionalism
perl-ExtUtils-H2PM.noarch: E: incorrect-fsf-address /usr/share/doc/perl-ExtUtils-H2PM-0.07/LICENSE
perl-ExtUtils-H2PM.src: W: spelling-error %description -l en_US functionallity -> functionality, functionalist, functionalism
2 packages and 1 specfiles checked; 1 errors, 2 warnings.

I opened an upstream bug about the incorrect FSF address:
    https://rt.cpan.org/Public/Bug/Display.html?id=70976

Comment 1 Remi Collet 2011-09-17 06:14:17 UTC
=== FORMAL REVIEW ===
 -=N/A  x=Check  !=Problem,  ?=Not evaluated

=== REQUIRED ITEMS ===
 [!] Rpmlint output:
perl-ExtUtils-H2PM.src: W: spelling-error %description -l en_US functionallity -> functionality, functionalist, functionalism
perl-ExtUtils-H2PM.noarch: E: incorrect-fsf-address /usr/share/doc/perl-ExtUtils-H2PM-0.07/LICENSE
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
	md5sum : 42626c70beb9fcdaf38c7b62c7761251  ExtUtils-H2PM-0.07.tar.gz
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f15 x86_64
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [-] Packages don't bundle copies of system librarie
 [-] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [!] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages with %{?_isa}, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
 [-] All filenames in rpm packages must be valid UTF-8
 [x] Package does not own files or directories owned by other packages.
	Own /usr/share/perl5/vendor_perl/ExtUtils already own
	but sibject to perl exception.
=== SUGGESTED ITEMS ===
 [x] Final requires
perl(:MODULE_COMPAT_5.12.4)  
perl(ExtUtils::CBuilder)  
 [ ] Final provides
perl(ExtUtils::H2PM) = 0.07
perl-ExtUtils-H2PM = 0.07-1.fc15
 [!] Latest version is packaged.
 [-] If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it. 
 [?] The description and summary sections in the package spec file should contain
     translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: Koji 
	http://koji.fedoraproject.org/koji/taskinfo?taskID=3357050
 [-] The package should compile and build into binary rpms on all supported architectures.
     Tested on:
 [?] Package functions as described.
 [-] If scriptlets are used, those scriptlets must be sane. 
 [-] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin 
     consider requiring the package which provides the file instead of the file itself. 
 [x] your package should contain man pages for binaries/scripts. 
     If it doesn't, work with upstream to add them where they make sense.
 [-] The placement of pkgconfig(.pc) files is correct.
 [x] %check is present and the tests pass

MUST
- spelling-error need to be fixed
- issue with %optimize

I don't find any definition for %optimize macro, this seems relative to build option for binary package.
As see in koji build.log, this macro is not defined.

Reading the package source, this option is defined (./_build/build_params) but nether used.
I think you could probably remove it, except if you think you need it, if this case, you must set it.

SHOULD
- package latest version 0.08, released yesterday... ;)
- make %file more exclicite (I personally hate to wide joker)

Comment 2 Mathieu Bridon 2011-09-19 03:13:46 UTC
Spec URL: http://bochecha.fedorapeople.org/packages/perl-ExtUtils-H2PM.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/perl-ExtUtils-H2PM-0.08-1.fc14.src.rpm

(In reply to comment #1)
> MUST
> - spelling-error need to be fixed

Fixed.

> - issue with %optimize
[... snip ...]
> I think you could probably remove it, except if you think you need it, if this
> case, you must set it.

So, I had never seen this macro either, but cpanspec was setting it so I trusted it.

Digging a bit, here is what I get when I run the following:
    $ cpanspec ExtUtils::H2PM
    [... snip ...]
    %{__perl} Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
    [... snip ...]

    $ cpanspec -m ExtUtils::H2PM
    [... snip ...]
    %{__perl} Build.PL installdirs=vendor optimize="%{optimize}"
    [... snip ...]

But then, as you observed:
    $ rpm --eval "%{optimize}"
    %{optimize}

Is that a bug in cpanspec?

For this particular package, should I remove it completely or replace it by "$RPM_OPT_FLAGS"?

> SHOULD
> - package latest version 0.08, released yesterday... ;)

Done.

Note that this fixes the incorrect FSF address in license.

> - make %file more exclicite (I personally hate to wide joker)

Fixed.

Comment 3 Remi Collet 2011-09-19 05:10:25 UTC
> For this particular package, should I remove it completely or replace it by
> "$RPM_OPT_FLAGS"?
This won't have any sense for a noarch package.
Simply drop this option.

> Is that a bug in cpanspec?
It seems, and should probably be reported..

Comment 4 Mathieu Bridon 2011-09-19 07:02:33 UTC
Spec URL: http://bochecha.fedorapeople.org/packages/perl-ExtUtils-H2PM.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/perl-ExtUtils-H2PM-0.08-2.fc16.src.rpm

(In reply to comment #3)
> > For this particular package, should I remove it completely or replace it by
> > "$RPM_OPT_FLAGS"?
> This won't have any sense for a noarch package.
> Simply drop this option.

Done.

> > Is that a bug in cpanspec?
> It seems, and should probably be reported..

Done:
    https://bugzilla.redhat.com/show_bug.cgi?id=739461

Comment 5 Remi Collet 2011-09-19 15:32:59 UTC
All MUST fixed

========
APPROVED
========

Comment 6 Mathieu Bridon 2011-09-20 02:58:27 UTC
New Package SCM Request
=======================
Package Name: perl-ExtUtils-H2PM
Short Description:  Automatically generate perl modules to wrap C header files
Owners: bochecha
Branches: f16 el6
InitialCC: perl-sig

Comment 7 Gwyn Ciesla 2011-09-20 04:29:06 UTC
Git done (by process-git-requests).

Comment 8 Mathieu Bridon 2011-09-20 09:11:00 UTC
Pushed and built in all requested branches, thank you Remi and Jon.


Note You need to log in before you can comment on or make changes to this bug.